<table class="table table-hover table-carro"> 
      <thead>
            <p style="text-align:center">CARRO DE COMPRAS</p>

            <tr>
                  <th> Producto </th>
                  <th> Cantidad  </th>
                  <th> Suma </th>
                  
            </tr>
      </thead>
      <tbody>
            {% if request.session.carro.items %} <!-- si en ESTA SESION del request hay elementos en el carro..
                                                      recordar que el carro es un diccionario creado en carro.py--> 
                  {% for key, value in request.session.carro.items %} <!--Zona de impresión de todos los productos del carro-->

                  <tr class="text-center">
                        <td>{{value.nombre}}</td>
                        <td>{{value.cantidad}}</td>
                         <td>
                              <a href="{% url 'carro:agregar_prod' value.producto_id %}" class='btn btn-sm btn-success' >+</a>
                              <a href="{% url 'carro:restar_prod' value.producto_id %}" class='btn btn-sm btn-success'>-</a><br><br>
                              ${{value.precio}}
                         </td>
                  </tr>
                  {% endfor %}
            {% else %}
                  <tr>
                        <th colspan="3">
                              <div class="alert alert-danger text-center">

                                    Sin productos
                              </div>

                        </th>
                  </tr>
            {% endif %}
      </tbody>

      <tfoot>
            <tr>
                  <th colspan="3">
                        <div class="text-center">
                              Total: $  {{importe_total_carro}}
                              
                        {% if request.session.carro.items %}
                              <br>
                              <a href="{% url 'carro:limpiar' %}" class="btn btn-danger" style="margin-top:10px">Eliminar compras</a>
                        {% endif %}

                        </div>
                  </th>
            </tr>

      </tfoot>
</table>